# Uses of Interface
org.apache.sling.spi.resource.provider.ProviderContext

Packages that use ProviderContext
Package
Description
org.apache.sling.spi.resource.provider

## Uses of ProviderContext in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return ProviderContext
Modifier and Type
Method
Description
`protected @Nullable ProviderContext`
ResourceProvider.`getProviderContext()`
Get the current provider context.
Methods in org.apache.sling.spi.resource.provider with parameters of type ProviderContext
Modifier and Type
Method
Description
`void`
ResourceProvider.`start(@NotNull ProviderContext ctx)`
With a call to this method, the provider implementation is notified that it is used in the resource tree.